Bug 61053 - opengk cause cored dump version 4.9 and 5.2
Summary: opengk cause cored dump version 4.9 and 5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-08 03:20 UTC by Andrew MacTaggart
Modified: 2005-05-16 03:46 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew MacTaggart 2004-01-08 03:20:11 UTC
after installing opengk via ports
running the command to start OpenGK

opengk
Segmentation fault (core dumped)
 opengk -dl /var/log
Segmentation fault (core dumped)

Fix: 

Not sure
How-To-Repeat: install FreeBsd 4.9 or 5.2
minimal
use ports to install opengk doing a make, make instal , and make clean
start opengk
Comment 1 Tilman Keskinoz freebsd_committer 2004-04-25 14:22:38 UTC
Responsible Changed
From-To: freebsd-i386->roger

over to maintainer
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2004-06-25 00:51:41 UTC
State Changed
From-To: open->feedback

Roger, has there been any progress on this one?
Comment 3 Yuri Bushmelev 2004-10-20 09:36:55 UTC
I have trouble with opengk too..

# opengk -dl /tmp/log
Segmentation fault (core dumped)

kernel message:
pid 34622 (opengk), uid 0: exited on signal 11 (core dumped)

Here is tail of ktrace opengk -dl /tmp/log output (kdump)

 34425 opengk   CALL  break(0x87ec000)
 34425 opengk   RET   break 0
 34425 opengk   CALL  gettimeofday(0xbfbfe768,0)
 34425 opengk   RET   gettimeofday 0
 34425 opengk   CALL  __getcwd(0x87e0100,0x100)
 34425 opengk   RET   __getcwd 0
 34425 opengk   CALL  access(0x87dd260,0)
 34425 opengk   NAMI  "/local/local/bin/opengk"
 34425 opengk   RET   access 0
 34425 opengk   CALL  pipe
 34425 opengk   RET   pipe 3
 34425 opengk   CALL  getrlimit(0x8,0xbfbfe760)
 34425 opengk   RET   getrlimit 0
 34425 opengk   CALL  pipe
 34425 opengk   RET   pipe 5
 34425 opengk   CALL  sigaction(0x1,0xbfbfe670,0)
 34425 opengk   RET   sigaction 0
 34425 opengk   CALL  sigaction(0x2,0xbfbfe670,0)
 34425 opengk   RET   sigaction 0
 34425 opengk   CALL  sigaction(0x1e,0xbfbfe670,0)
 34425 opengk   RET   sigaction 0
 34425 opengk   CALL  sigaction(0x1f,0xbfbfe670,0)
 34425 opengk   RET   sigaction 0
 34425 opengk   CALL  sigaction(0xd,0xbfbfe670,0)
 34425 opengk   RET   sigaction 0
 34425 opengk   CALL  sigaction(0xf,0xbfbfe670,0)
 34425 opengk   RET   sigaction 0
 34425 opengk   CALL  sigaction(0x1c,0xbfbfe670,0)
 34425 opengk   RET   sigaction 0
 34425 opengk   CALL  sigaction(0x1b,0xbfbfe670,0)
 34425 opengk   RET   sigaction 0
 34425 opengk   CALL  gettimeofday(0xbfbfe738,0)
 34425 opengk   RET   gettimeofday 0
 34425 opengk   CALL  gettimeofday(0xbfbfe6d8,0)
 34425 opengk   RET   gettimeofday 0
 34425 opengk   CALL  gettimeofday(0xbfbfe6d8,0)
 34425 opengk   RET   gettimeofday 0
 34425 opengk   PSIG  SIGSEGV SIG_DFL
 34425 opengk   NAMI  "opengk.core"

uname -a:
FreeBSD xeon.simcom.ru 5.2-CURRENT FreeBSD 5.2-CURRENT #3: Tue Aug 10 20:26:21 MSD 2004     jay@xeon.simcom.ru:/local/obj/local/src/sys/XEON  i386

I can send full kdump, if needed.

-- 
WBR, Jay
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2004-11-04 08:18:40 UTC
State Changed
From-To: feedback->open

Assignee is currently away from doing FreeBSD work at the moment, so 
at his request, return this one to the pool. 


Comment 5 Mark Linimon freebsd_committer freebsd_triage 2004-11-04 08:18:40 UTC
Responsible Changed
From-To: roger->freebsd-bugs
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2004-11-15 03:51:06 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

If anyone happens to find where I left my brain, please let me know. 
Thanks.
Comment 7 Sam Lawrance freebsd_committer 2005-04-19 02:38:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Grab
Comment 8 Sam Lawrance freebsd_committer 2005-05-16 03:46:11 UTC
State Changed
From-To: open->closed

A fix was committed (devel/pwlib).